import pytest

import symuid

import datetime as dt

@pytest.mark.parametrize(('ts', 'expected_dt'), [
    (1528795204, dt.datetime(2018, 6, 12, 9, 20, 4, tzinfo=dt.timezone.utc)),
])
def test__timestamp_to_utc_dt(ts, expected_dt):
    assert expected_dt == symuid._timestamp_to_utc_dt(ts)
